Subject: Amazon order
From: Rose M <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Fri, 15 Aug 2025 18:25:36 -0700

Hi-I purchased two packages of sage green towel sets, and although I do
like the product, unfortunately, two of the hand towels have threads pulled
through them making them look used. Can you please send me replacement hand
towels versus me returning all of the items to Amazon? Image below.

Best,

Rose Money
597 North Avenue
Manzanita, OR 97130